Returns a list of YouTube broadcasts that match the API request parameters.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/live/reference/rest/v3/liveBroadcasts/list_d25ac788e3e9390c790c5d357b16672f0f03c003a9be3bc502d3774f2af01e6d.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
GET https://www.googleapis.com/youtube/v3/liveBroadcasts
```

### Authorization

This request requires authorization with at least one of the following scopes. To read more
about authentication and authorization, see [Implementing OAuth 2.0 authentication](https://developers.google.com/youtube/data/live/authentication.md.txt).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtube.readonly` |
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `part` | `string` The `part` parameter specifies a comma-separated list of one or more `liveBroadcast` resource properties that the API response will include. The `part` names that you can include in the parameter value are `id`, `snippet`, `contentDetails`, `monetizationDetails`, and `status`. |
| **Filters (specify exactly one of the following parameters)** |||
| `broadcastStatus` | `string` The `broadcastStatus` parameter filters the API response to only include broadcasts with the specified status. Acceptable values are: - `active` -- Return current live broadcasts. - `all` -- Return all broadcasts. - `completed` -- Return broadcasts that have already ended. - `upcoming` -- Return broadcasts that have not yet started. |
| `id` | `string` The `id` parameter specifies a comma-separated list of YouTube broadcast IDs that identify the broadcasts being retrieved. In a `liveBroadcast` resource, the `id` property specifies the broadcast's ID. |
| `mine` | `boolean` The `mine` parameter can be used to instruct the API to only return broadcasts owned by the authenticated user. Set the parameter value to `true` to only retrieve your own broadcasts. |
| **Optional parameters** |||
| `broadcastType` | `string` The `broadcastType` parameter filters the API response to only include broadcasts with the specified type. The parameter should be used in requests that set the `mine` parameter to `true` or that use the `broadcastStatus` parameter. The default value is `event`. Acceptable values are: - `all` -- Return all broadcasts. - `event` -- Return only scheduled event broadcasts. - `persistent` -- Return only persistent broadcasts. |
| `maxResults` | `unsigned integer` The `maxResults` parameter specifies the maximum number of items that should be returned in the result set. Acceptable values are `0` to `50`, inclusive. The default value is `5`. |
| `onBehalfOfContentOwner` | `string` This parameter can only be used in a properly [authorized request](https://developers.google.com/youtube/data/live/authentication.md.txt). **Note:** This parameter is intended exclusively for YouTube content partners. The `onBehalfOfContentOwner` parameter indicates that the request's authorization credentials identify a YouTube Content Management System (CMS) user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. |
| `onBehalfOfContentOwnerChannel` | `string` This parameter can only be used in a properly [authorized request](https://developers.google.com/youtube/data/live/authentication.md.txt). **Note:** This parameter is intended exclusively for YouTube content partners. The `onBehalfOfContentOwnerChannel` parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the `onBehalfOfContentOwner` parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the `onBehalfOfContentOwner` parameter specifies. Finally, the channel that the `onBehalfOfContentOwnerChannel` parameter value specifies must be linked to the content owner that the `onBehalfOfContentOwner` parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. |
| `pageToken` | `string` The `pageToken` parameter identifies a specific page in the result set that should be returned. In an API response, the `nextPageToken` and `prevPageToken` properties identify other pages that could be retrieved. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "youtube#liveBroadcastListResponse",
  "etag": etag,
  "nextPageToken": string,
  "prevPageToken": string,
  "pageInfo": {
    "totalResults": integer,
    "resultsPerPage": integer
  },
  "items": [
    liveBroadcast Resource
  ]
}
```

### Properties

The following table defines the properties that appear in this resource:

| Properties ||
|---|---|
| `kind` | `string` Identifies the API resource's type. The value will be `youtube#liveBroadcastListResponse`. |
| `etag` | `etag` The Etag of this resource. |
| `nextPageToken` | `string` The token that can be used as the value of the `pageToken` parameter to retrieve the next page in the result set. |
| `prevPageToken` | `string` The token that can be used as the value of the `pageToken` parameter to retrieve the previous page in the result set. |
| `pageInfo` | `object` The `pageInfo` object encapsulates paging information for the result set. |
| `pageInfo.totalResults` | `integer` The total number of results in the result set. |
| `pageInfo.resultsPerPage` | `integer` The number of results included in the API response. |
| `items[]` | `list` A list of broadcasts that match the request criteria. |

## Errors

The following table identifies error messages that the API could return in response to a call to
this method. For more details, see [error message](https://developers.google.com/youtube/data/live/reference/rest/v3/errors.md.txt).

| Error type | Error detail | Description |
|---|---|---|
| `insufficientPermissions` | `insufficientLivePermissions` | The request is not authorized to retrieve the live broadcast. |
| `insufficientPermissions` | `liveStreamingNotEnabled` | The user that authorized the request is not enabled to stream live video on YouTube. For more information, see [Feature eligibility](https://www.youtube.com/features). |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.